View Issue Details

IDProjectCategoryView StatusLast Update
0032567Open CASCADEOCCT:Codingpublic2021-12-17 18:41
Reporterkgv Assigned Tokgv  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Target Version7.6.0Fixed in Version7.6.0 
Summary0032567: Coding Rules - rename Graphic3d_TypeOfShadingModel values to include full enumeration name
DescriptionIt is necessary to rename Graphic3d_TypeOfShadingModel enumeration values to include full-qualified enumeration name following recommended Coding Style.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Activities

git

2021-09-13 22:23

administrator   ~0104068

Branch CR32567 has been created by kgv.

SHA-1: 182f3e3a78c8ca47d261ff07b5b49d8097f0ee36


Detailed log of new commits:

Author: kgv
Date: Mon Sep 13 22:19:54 2021 +0300

    0032567: Coding Rules - rename Graphic3d_TypeOfShadingModel values to include full enumeration name

git

2021-09-13 22:50

administrator   ~0104069

Branch CR32567 has been updated forcibly by kgv.

SHA-1: 25ec70536dbc4c7622cf5f07760b24f12d244ca5

kgv

2021-09-14 00:50

developer   ~0104070

Please raise the patch
- OCCT: branch CR32567;
- OCC Products: branch CR32567.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32567-CR32567-KGV/

bugmaster

2021-09-18 09:36

administrator   ~0104175

Combination -
OCCT branch : IR-2021-09-17
master SHA - 812ee2c9bec89902de2ff85201cb314e0de894cc
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-09-17 SHA - 1127e31e32f90ff63544b0516092694f1a36932f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17390.540000000547 / 17358.370000000414 [+0.19%]
Products
Total CPU difference: 11364.740000000118 / 11411.36000000011 [-0.41%]
Windows-64-VC14:
OCCT
Total CPU difference: 19321.5625 / 19327.15625 [-0.03%]
Products
Total CPU difference: 12746.171875 / 12747.78125 [-0.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-18 09:55

administrator   ~0104214

Branch CR32567 has been deleted by mnt.

SHA-1: 25ec70536dbc4c7622cf5f07760b24f12d244ca5

Related Changesets

occt: master 13b36bb1

2021-09-13 19:19:54

kgv


Committer: smoskvin Details Diff
0032567: Coding Rules - rename Graphic3d_TypeOfShadingModel values to include full enumeration name Affected Issues
0032567
mod - dox/user_guides/visualization/visualization.md Diff File
mod - samples/webgl/WasmOcctView.cpp Diff File
mod - src/AIS/AIS_ColorScale.cxx Diff File
mod - src/AIS/AIS_LightSource.cxx Diff File
mod - src/AIS/AIS_MediaPlayer.cxx Diff File
mod - src/AIS/AIS_RubberBand.cxx Diff File
mod - src/Graphic3d/Graphic3d_AspectLine3d.cxx Diff File
mod - src/Graphic3d/Graphic3d_AspectMarker3d.cxx Diff File
mod - src/Graphic3d/Graphic3d_Aspects.cxx Diff File
mod - src/Graphic3d/Graphic3d_Aspects.hxx Diff File
mod - src/Graphic3d/Graphic3d_AspectText3d.cxx Diff File
mod - src/Graphic3d/Graphic3d_CView.cxx Diff File
mod - src/Graphic3d/Graphic3d_CView.hxx Diff File
mod - src/Graphic3d/Graphic3d_RenderingParams.hxx Diff File
mod - src/Graphic3d/Graphic3d_TypeOfLimit.hxx Diff File
mod - src/Graphic3d/Graphic3d_TypeOfShadingModel.hxx Diff File
mod - src/OpenGl/OpenGl_Aspects.cxx Diff File
mod - src/OpenGl/OpenGl_Aspects.hxx Diff File
mod - src/OpenGl/OpenGl_Context.cxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_FrameStatsPrs.cxx Diff File
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff File
mod - src/OpenGl/OpenGl_SetOfShaderPrograms.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.cxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff File
mod - src/OpenGl/OpenGl_Structure.cxx Diff File
mod - src/OpenGl/OpenGl_Text.cxx Diff File
mod - src/OpenGl/OpenGl_View.cxx Diff File
mod - src/OpenGl/OpenGl_View_Raytrace.cxx Diff File
mod - src/OpenGl/OpenGl_Workspace.cxx Diff File
mod - src/OpenGlTest/OpenGlTest_Commands.cxx Diff File
mod - src/PrsDim/PrsDim_Dimension.cxx Diff File
mod - src/QABugs/QABugs_1.cxx Diff File
mod - src/V3d/V3d_View.hxx Diff File
mod - src/V3d/V3d_Viewer.hxx Diff File
mod - src/ViewerTest/ViewerTest.cxx Diff File
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File

occt-products: master e8a7697f

2021-09-13 22:25:07

kgv

Details Diff
0032567: Coding Rules - rename Graphic3d_TypeOfShadingModel values to include full enumeration name Affected Issues
0032567
mod - diff Diff File
mod - src/PMIVis/PMIVis_DimensionLabel.cxx Diff File
mod - src/PMIVis/PMIVis_Presentation.cxx Diff File

Issue History

Date Modified Username Field Change
2021-09-13 22:18 kgv New Issue
2021-09-13 22:18 kgv Assigned To => kgv
2021-09-13 22:23 git Note Added: 0104068
2021-09-13 22:50 git Note Added: 0104069
2021-09-14 00:50 kgv Note Added: 0104070
2021-09-14 00:50 kgv Assigned To kgv => bugmaster
2021-09-14 00:50 kgv Status new => resolved
2021-09-14 00:50 kgv Status resolved => reviewed
2021-09-18 09:36 bugmaster Note Added: 0104175
2021-09-18 09:36 bugmaster Status reviewed => tested
2021-09-18 09:41 bugmaster Test case number => Not required
2021-09-18 09:43 smoskvin Changeset attached => occt master 13b36bb1
2021-09-18 09:43 smoskvin Assigned To bugmaster => smoskvin
2021-09-18 09:43 smoskvin Status tested => verified
2021-09-18 09:43 smoskvin Resolution open => fixed
2021-09-18 09:55 git Note Added: 0104214
2021-12-17 18:41 kgv Changeset attached => occt-products master e8a7697f
2021-12-17 18:41 kgv Assigned To smoskvin => kgv
2021-12-17 18:41 kgv Status closed => verified